"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListFilesWhereProcessor = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
class ListFilesWhereProcessor {
  constructor() {
    (0, _defineProperty2.default)(this, "skipKeys", ["tenant", "locale"]);
    (0, _defineProperty2.default)(this, "keyMap", {
      id: "entryId",
      id_in: "entryId_in"
    });
  }
  process(input) {
    const where = {
      meta: {
        private_not: true
      }
    };
    Object.keys(input).filter(key => !this.skipKeys.includes(key)).forEach(key => {
      const remappedKey = this.keyMap[key];
      const value = input[key];
      if (remappedKey && value !== undefined) {
        where[remappedKey] = value;
      } else if (value !== undefined) {
        where[key] = value;
      }
    });
    return where;
  }
}
exports.ListFilesWhereProcessor = ListFilesWhereProcessor;

//# sourceMappingURL=ListFilesWhereProcessor.js.map