"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _sharp = _interopRequireDefault(require("sharp"));
/**
 * Sharp is included in the AWS Lambda layer
 */
// @ts-ignore
var _default = async (buffer, type) => {
  switch (type) {
    case "image/png":
      {
        return await (0, _sharp.default)(buffer).resize({
          width: 2560,
          withoutEnlargement: true,
          fit: "inside"
        }).png({
          compressionLevel: 9,
          adaptiveFiltering: true,
          force: true
        }).withMetadata().toBuffer();
      }
    case "image/jpeg":
    case "image/jpg":
      {
        return await (0, _sharp.default)(buffer).resize({
          width: 2560,
          withoutEnlargement: true,
          fit: "inside"
        }).toFormat("jpeg", {
          quality: 90
        }).toBuffer();
      }
    default:
      return buffer;
  }
};
exports.default = _default;

//# sourceMappingURL=optimizeImage.js.map