"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOptimizedTransformedImageKeyPrefix = exports.getOptimizedImageKeyPrefix = exports.getImageKey = exports.SUPPORTED_TRANSFORMABLE_IMAGES = exports.SUPPORTED_IMAGES = exports.OPTIMIZED_TRANSFORMED_IMAGE_PREFIX = exports.OPTIMIZED_IMAGE_PREFIX = void 0;
var _objectHash = _interopRequireDefault(require("object-hash"));
const SUPPORTED_IMAGES = [".jpg", ".jpeg", ".png", ".svg", ".gif", ".webp"];
exports.SUPPORTED_IMAGES = SUPPORTED_IMAGES;
const SUPPORTED_TRANSFORMABLE_IMAGES = [".jpg", ".jpeg", ".png", ".webp"];
exports.SUPPORTED_TRANSFORMABLE_IMAGES = SUPPORTED_TRANSFORMABLE_IMAGES;
const OPTIMIZED_TRANSFORMED_IMAGE_PREFIX = "img-o-t-";
exports.OPTIMIZED_TRANSFORMED_IMAGE_PREFIX = OPTIMIZED_TRANSFORMED_IMAGE_PREFIX;
const OPTIMIZED_IMAGE_PREFIX = "img-o-";
exports.OPTIMIZED_IMAGE_PREFIX = OPTIMIZED_IMAGE_PREFIX;
const getOptimizedImageKeyPrefix = key => {
  const [id, name] = key.split("/");
  return `${id}/${OPTIMIZED_IMAGE_PREFIX}${name}`;
};
exports.getOptimizedImageKeyPrefix = getOptimizedImageKeyPrefix;
const getOptimizedTransformedImageKeyPrefix = (key, transformationsHash) => {
  const [id, name] = key.split("/");
  return `${id}/${OPTIMIZED_TRANSFORMED_IMAGE_PREFIX}${transformationsHash}-${name}`;
};
exports.getOptimizedTransformedImageKeyPrefix = getOptimizedTransformedImageKeyPrefix;
const getImageKey = ({
  key,
  transformations
}) => {
  if (!transformations) {
    return getOptimizedImageKeyPrefix(key);
  }
  return getOptimizedTransformedImageKeyPrefix(key, (0, _objectHash.default)(transformations));
};
exports.getImageKey = getImageKey;

//# sourceMappingURL=utils.js.map